Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000679KdenliveUser Interfacepublic2009-02-17 23:332009-06-18 01:51
Reporterreinhard 
Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntu LinuxOS Version8.10
Product VersionRecent git 
Target VersionFixed in Version0.7.3 
Summary0000679: Another background in monitors
DescriptionHi,

actually it is hard to become aware of unwanted black regions/pixels in source files, since the background of the monitors are also black.
Could you make this modifiable by user ?
Maybe by changing the background color or make the background checkered or crosshatched ?
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Filesjpg file icon canvas_mp_full_bird.jpg [^] (68,383 bytes) 2009-02-18 10:25


jpg file icon bg.jpg [^] (51,666 bytes) 2009-02-18 20:55

- Relationships

-  Notes
(0002439)
administrator (administrator)
2009-02-18 08:41

Not sure how to achieve this. Currently in MLT, transparent pixels will only be transparent if you add a composite transition to your clip and have a clip on the transition's other track.

I thinks the feature might be implemented in the clip monitor, we could introduce a "Show transparency" feature that would add a transition and a configurable color clip on the track below.

Would that meet your needs?
(0002440)
reinhard (reporter)
2009-02-18 10:25

Might be an interesting feature as well, but what I meant is the surrounding area in both monitors (clip and project monitor) which is actually filled by black.
In general I would like to have a better noticeability of the avaible project area/format.
I'll upload a picture from a software called 'Movie Pack' (actually called eXtreme) which hopefully clarify a bit what I'd like to have.
(0002441)
administrator (administrator)
2009-02-18 20:53
edited on: 2009-02-18 21:07

Ok, I understand now and it seems a really good idea. I am sending a patch for review on MLT's mailing list that will implement the feature (see attached picture bg.jpg which shows a dv video with an HDV profile): the monitor area that is outside of the video frame is painted in blue.


- Issue History
Date Modified Username Field Change
2009-02-17 23:33 reinhard New Issue
2009-02-17 23:33 reinhard Build/Install Method => Build Wizard
2009-02-18 08:41 administrator Note Added: 0002439
2009-02-18 10:25 reinhard Note Added: 0002440
2009-02-18 10:25 reinhard File Added: canvas_mp_full_bird.jpg
2009-02-18 20:53 administrator Note Added: 0002441
2009-02-18 20:54 administrator File Added: bg.png
2009-02-18 20:55 administrator File Deleted: bg.png
2009-02-18 20:55 administrator File Added: bg.jpg
2009-02-18 20:56 administrator Note Edited: 0002441
2009-02-18 21:03 administrator Status new => acknowledged
2009-02-18 21:07 administrator Note Edited: 0002441
2009-02-24 13:19 administrator Status acknowledged => resolved
2009-02-24 13:19 administrator Resolution open => fixed
2009-02-24 13:19 administrator Fixed in Version => Recent git
2009-04-15 13:07 madsdyd Fixed in Version Recent git => 0.7.3
2009-06-18 01:51 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker